[gentoo-user-de] gcc update versaut

16/01/2009 - 23:10 von Sebastian | Report spam
Hallo,

ich habe mittlerweile mein System versaut beim updaten von gcc.
Nach der Anleitung:

http://www.gentoo.org/doc/de/gcc-upgrading.xml

bin ich bis:

# emerge -uav gcc

(Bitte ersetzen Sie "i686-pc-linux-gnu-4.1.1" mit der GCC-Version und
den CHOST-Einstellungen auf die Sie aktualisiert haben:)
# gcc-config i686-pc-linux-gnu-4.1.1
# env-update && source /etc/profile

gekommen. bei:

r1-gentoo sebastian
# /usr/share/gcc-data/i686-pc-linux-gnu/4.2.4/fix_libtool_files.sh 4.1.1
* Scanning libtool files for hardcoded gcc library paths...
* Could not get gcc's CHOST!

erhalte ich diese Fehlermeldung.
Weiß jemand wie ich den Vorhandenen CHOST herrausfinde bzw ob überhaut einer
existiert und wie ich den dann wieder herstelle.

Ich brauche diesen gcc da ein Programm nach Biblioteken verlangt die in der
stabilen Version nicht vorhanden sind.

Gruß
Sebastian
 

Lesen sie die antworten

#1 Sebastian Gaebel
17/01/2009 - 00:10 | Warnen spam
Am Freitag, den 16.01.2009, 23:03 +0100 schrieb Sebastian:
Hallo,



Hallo Sebastian

ich habe mittlerweile mein System versaut beim updaten von gcc.
Nach der Anleitung:

http://www.gentoo.org/doc/de/gcc-upgrading.xml

bin ich bis:

# emerge -uav gcc

(Bitte ersetzen Sie "i686-pc-linux-gnu-4.1.1" mit der GCC-Version und
den CHOST-Einstellungen auf die Sie aktualisiert haben:)
# gcc-config i686-pc-linux-gnu-4.1.1
# env-update && source /etc/profile

gekommen. bei:

r1-gentoo sebastian
# /usr/share/gcc-data/i686-pc-linux-gnu/4.2.4/fix_libtool_files.sh 4.1.1
* Scanning libtool files for hardcoded gcc library paths...
* Could not get gcc's CHOST!

erhalte ich diese Fehlermeldung.
Weiß jemand wie ich den Vorhandenen CHOST herrausfinde bzw ob überhaut einer
existiert und wie ich den dann wieder herstelle.



ohne bisher gcc-4.2.4 verwendet zu haben:
Die CHOST sollte in Deiner /etc/make.conf stehen.
Was sagt ein gcc-config -l? Dieses sollte Dir die vorhandenen
gcc-profile auflisten aus denen Du den gewünschten string für z.B.
'gcc-config i686-pc-linux-gnu-4.2.4' oder so (je nach CHOST) bekommst.

Ich brauche diesen gcc da ein Programm nach Biblioteken verlangt die in der
stabilen Version nicht vorhanden sind.

Gruß
Sebastian



Viel Erfolg, Sebastian.

Ähnliche fragen